Cannot install Canon LBP2900 Printer Driver

Asked by KAKUMANU RAMABRAHMA ACHARI on 2012-07-26

I am using Canon LBP2900 printer, it worked well with Windows all versions but not installing in Ubuntu 12.04LTS. Please solve my problem.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu cups Edit question
Assignee:
No assignee Edit question
Last query:
2012-07-26
Last reply:
2012-07-26

wget https://dl.dropbox.com/u/8850924/Linux_CAPT_PrinterDriver_V240_uk_EN.tar.gz
sudo apt-get install unp
unp ./Linux_CAPT_PrinterDriver_V240_uk_EN.tar.gz
rm ./Linux_CAPT_PrinterDriver_V240_uk_EN.tar.gz
cd Linux_CAPT_PrinterDriver_V240_uk_EN/

If you now run:
uname -m

If you see 'i686', run:
cd ./32-bit_Driver/Debian

If you see 'x86_64', run:
cd ./64-bit_Driver/Debian

Then run:
sudo dpkg -i ./*.deb

Can you help with this problem?

Provide an answer of your own, or ask KAKUMANU RAMABRAHMA ACHARI for more information if necessary.

To post a message you must log in.